Package org.jboss.logging.annotations

# Annotation Type ValidIdRanges

@Target(TYPE) @Retention(CLASS) @Documented public @interface ValidIdRanges

Author:
  James R. Perkins

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`ValidIdRange[]`
`value`
An array of valid id ranges.

## Element Details

### value

ValidIdRange[] value
An array of valid id ranges.

Returns:
  an array of valid id ranges